diff --git a/external/gpl3/binutils/dist/gas/config/tc-vax.c b/external/gpl3/binutils/dist/gas/config/tc-vax.c
index caa0cf8515ed..1e1f54acdea4 100644
--- a/external/gpl3/binutils/dist/gas/config/tc-vax.c
+++ b/external/gpl3/binutils/dist/gas/config/tc-vax.c
@@ -2330,6 +2330,7 @@ md_create_short_jump (char *ptr,
   md_number_to_chars (ptr, offset, 2);
 }
 
+#if 0
 void
 md_create_long_jump (char *ptr,
 		     addressT from_addr ATTRIBUTE_UNUSED,
@@ -2345,6 +2346,26 @@ md_create_long_jump (char *ptr,
   md_number_to_chars (ptr, offset, 4);
   fix_new (frag, ptr - frag->fr_literal, 4, to_symbol, (long) 0, 0, NO_RELOC);
 }
+#endif
+
+#if 1
+void
+md_create_long_jump (char *ptr,
+                     addressT from_addr,
+                     addressT to_addr,
+                     fragS *frag ATTRIBUTE_UNUSED,
+                     symbolS *to_symbol ATTRIBUTE_UNUSED)
+{
+  valueT offset;
+
+  /* account for 1 byte instruction, 1 byte of address specifier and
+     4 bytes of offset from PC */
+  offset = to_addr - (from_addr + 1 + 1 + 4);
+  *ptr++ = VAX_JMP;             /* long jump */
+  *ptr++ = VAX_PC_RELATIVE_MODE;
+  md_number_to_chars (ptr, offset, 4);
+}
+#endif
 
 #ifdef OBJ_VMS
 const char *md_shortopts = "d:STt:V+1h:Hv::";
